# Unusual Items

`GET` `/v1/quote/changes`

Detect unusual market movements — price spikes, volume surges, and other abnormal trading activity.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `market` | string | Yes | Market code: `US`, `HK`, `SH`, `SZ`, `SG` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/changes?market=<market>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `all_off` | boolean | No | Whether anomaly alerts are globally disabled |
| `changes` | object[] | No | List of market anomaly events |
| `└ symbol` | string | Yes | Security symbol |
| `└ name` | string | No | Security name |
| `└ alert_name` | string | No | Anomaly type name |
| `└ alert_time` | integer | No | Anomaly time (Unix timestamp, ms) |
| `└ emotion` | integer | No | Sentiment: `1`=positive/up, `2`=negative/down |
| `└ change_values` | string[] | No | Change value strings |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "all_off": false,
    "changes": [
      {
        "symbol": "TSLA.US",
        "name": "Tesla Inc.",
        "alert_name": "Block Trade",
        "alert_time": 1778198400000,
        "emotion": 1,
        "change_values": [
          "+5.2%"
        ]
      }
    ]
  }
}
```
